#ifndef FRONTENDAPPLICATION_HPP
#define FRONTENDAPPLICATION_HPP

#ifdef SIMULATOR
#include <stdio.h>
#endif

#include <gui_generated/common/FrontendApplicationBase.hpp>

class FrontendHeap;

using namespace touchgfx;

class FrontendApplication : public FrontendApplicationBase
{
public:
    FrontendApplication(Model& m, FrontendHeap& heap);
    virtual ~FrontendApplication() { }

    virtual void handleKeyEvent(uint8_t key)
    {
    	#ifdef SIMULATOR
	    if(key == '1')
	    {
	      printf("Hardware button pressed\n");
				model.btnPressed();
	    }
			#endif
    }

    virtual void handleTickEvent()
    {
        model.tick();
        FrontendApplicationBase::handleTickEvent();
    }
private:
};

#endif // FRONTENDAPPLICATION_HPP
