#ifndef SCREEN1_VIEW_HPP
#define SCREEN1_VIEW_HPP

#include <gui_generated/screen1_screen/Screen1ViewBase.hpp>
#include <gui/screen1_screen/Screen1Presenter.hpp>
#include <BitmapDatabase.hpp>

class Screen1View : public Screen1ViewBase
{
public:
  Screen1View();
  virtual ~Screen1View() {}
  virtual void setupScreen();
  virtual void tearDownScreen();

	//************************************
	// From Screen1ViewBase
	//************************************
  virtual void updateLEDState();
			
	//************************************
	// Flow: Model->Presenter->View
	//************************************		
  void advanceAnimation(); 

protected:

	static const uint16_t base_id = BITMAP_FRAME_00_ID;
	static const uint16_t max_id = BITMAP_FRAME_56_ID;

	uint8_t step;
	bool reverse;
	uint16_t current_id;
	int8_t direction;
};

#endif // SCREEN1_VIEW_HPP
