/*************************************************
*
* Animation by Florian de Looij http://gif.flrn.nl/
*
****************************************************/

#include <gui/screen1_screen/Screen1View.hpp>
#include <touchgfx/Color.hpp>

Screen1View::Screen1View()
	: step(0)
	, reverse(false)
	, current_id(base_id)
	, direction(1) //Advance Forward
{
}

void Screen1View::setupScreen()
{
}

void Screen1View::tearDownScreen()
{
}

void Screen1View::updateLEDState()
{
    presenter->setLEDState(ledCtrlBtn.getState());
}

void Screen1View::advanceAnimation()
{	
	//***************************************************
	// Progress to next step
	//***************************************************
	//
	current_id += direction;

	#ifdef SIMULATOR	
	printf("Frame id: %d\n", current_id);
	#endif

	//***************************************************
	// Set the bitmap and redraw
	//***************************************************
	//
	animation.setBitmap(Bitmap(current_id));
	animation.invalidate();
	
	//***************************************************
	// Determine direction
	//***************************************************
	//
	if(current_id == max_id )
	{
		direction = -1;
	} 
	else if(current_id == base_id )
	{
		direction = 1;
	}
}